#include "../../include/types.h"
#include "../../include/pool.h"

#include <stdlib.h>
#include <string.h>
#include <unistd.h>

void lm_pool_paths_set_info(lm_pool_t *pool, char *info_path){
  free(pool->paths.info);
  if(NULL == info_path){
    pool->paths.list = NULL;
    return;
  }
  pool->paths.info = strdup(info_path);
}

void lm_pool_paths_set_list(lm_pool_t *pool, char *list_path){
  free(pool->paths.list);
  if(NULL == list_path){
    pool->paths.list = NULL;
    return;
  }
  pool->paths.list = strdup(list_path);
}

bool lm_pool_paths_is_empty(lm_pool_t *pool){
  return NULL == pool->paths.info || NULL == pool->paths.list;
}

void lm_pool_paths_free(lm_pool_t *pool){
  free(pool->paths.info);
  free(pool->paths.list);
}
